# This file was auto-generated by ZETUP
#
# Zimmermann's Extensible Tools for Unified Project setups
#
# https://github.com/zimmermanncode/zetup


from __future__ import absolute_import

import sys
import os
from collections import OrderedDict

from zetup.version import Version
from zetup.dist import Distribution
from zetup.requires import Requirements
from zetup.extras import Extras
from zetup.package import Packages, Package
from zetup.notebook import Notebook



zfg = sys.modules[__name__]

NAME = 'zcons'

SETUP_HOOKS = []

LICENSE = 'LGPLv3'

AUTHOR = 'Stefan Zimmermann'

DESCRIPTION = "Zimmermann's SCons wrapper"

NO_MAKE = ['tox.ini']

FORCE_MAKE = True

CLASSIFIERS = ['Development Status :: 3 - Alpha', 'Intended Audience :: Developers', 'License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)', 'Operating System :: OS Independent', 'Topic :: Software Development', 'Topic :: Utilities', 'Programming Language :: Python', 'Programming Language :: Python :: 2', 'Programming Language :: Python :: 2.7', 'Programming Language :: Python :: 3', 'Programming Language :: Python :: 3.5', 'Programming Language :: Python :: 3.6', 'Programming Language :: Python :: 3.7']

PYTHON = ['2.7', '3.5', '3.6', '3.7']

KEYWORDS = ['zetup', 'setup', 'scons', 'sconstruct', 'sconscript', 'install', 'installer', 'installation', 'build', 'builder', 'construct', 'construction', 'compile', 'compiler', 'compilation', 'zimmermann', 'zimmermanncode', 'userzimmermann', 'python3', 'python3']

TITLE = 'zcons'

EXTRAS = Extras([

], zfg=zfg)

DISTRIBUTION = Distribution(zfg)

SCRIPTS = {'zcons': 'zcons.script:run'}

MODULES = []

EMAIL = 'zimmermann.code@gmail.com'

REQUIRES = Requirements("""
#py2 path.py ~= 11.5.0 #import path
#py3 path.py >= 11.5.0 #import path
zetup >= 0.2.58

""", zfg=zfg)

KEEP_MADE = ['setup.py']

URL = 'https://github.com/zimmermanncode/zcons'

TEST_COMMANDS = ['py.test -v test']

VERSION = Version('0.1rc3.dev16')

SETUP_REQUIRES = Requirements("""

zetup[commands]
""", zfg=zfg)

SETUP_KEYWORDS = None

PACKAGES = Packages([

Package('zcons',
  sources=[
    'script.py',
    '__main__.py',
    '__init__.py',
    'error.py'
    ],
  subpackages=[
    
    ],
  )

  ], root=os.path.dirname(os.path.dirname(os.path.realpath(__file__))))

in_repo = True